Uploaded image for project: 'Hadoop YARN'
  1. Hadoop YARN
  2. YARN-8788

mvn package -Pyarn-ui fails on JDK9

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.3.0
    • Component/s: None
    • Labels:
    • Environment:

      Java 9.0.4, CentOS 7.5

    • Hadoop Flags:
      Reviewed

      Description

      mvn package -Pdist,native,yarn-ui -Dtar -DskipTests failed on trunk.

      [ERROR] Failed to execute goal ro.isdc.wro4j:wro4j-maven-plugin:1.7.9:run (default) on project hadoop-yarn-ui: Execution default of goal ro.isdc.wro4j:wro4j-maven-plugin:1.7.9:run failed: An API incompatibility was encountered while executing ro.isdc.wro4j:wro4j-maven-plugin:1.7.9:run: java.lang.ExceptionInInitializerError: null
      [ERROR] -----------------------------------------------------
      [ERROR] realm =    plugin>ro.isdc.wro4j:wro4j-maven-plugin:1.7.9
      [ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy
      [ERROR] urls[0] = file:/home/aajisaka/.m2/repository/ro/isdc/wro4j/wro4j-maven-plugin/1.7.9/wro4j-maven-plugin-1.7.9.jar
      [ERROR] urls[1] = file:/home/aajisaka/.m2/repository/ro/isdc/wro4j/wro4j-core/1.7.9/wro4j-core-1.7.9.jar
      [ERROR] urls[2] = file:/home/aajisaka/.m2/repository/org/apache/commons/commons-lang3/3.4/commons-lang3-3.4.jar
      (snip)
      

        Attachments

        1. 421.patch
          1 kB
          Akira Ajisaka

          Issue Links

            Activity

              People

              • Assignee:
                vbmudalige Vidura Bhathiya Mudalige
                Reporter:
                aajisaka Akira Ajisaka
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: